import { http } from "/@/utils/http";
import { loadEnv } from "@build/index";
const { VITE_PROXY_DOMAIN_REAL, VITE_PROXY_USER_REAL } = loadEnv();
const userAPi = VITE_PROXY_DOMAIN_REAL;
const yewuApi = VITE_PROXY_USER_REAL + "";

export const httpList = (data: object): any => {
  return http.request("post", `http://project.test241.wanyuhengtong.com/user/TaxCategory/listByCompany`, { data });
};

export const httpStatus = (data: object): any => {
  return http.request("post", `http://project.test241.wanyuhengtong.com/user/TaxCategory/taxCompanySet`, { data });
};

export const httpCreate = (data: object): any => {
  return http.request("post", `${yewuApi}companyCgd/create`, { data });
};
